tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Jung <rainer.j...@kippdata.de>
Subject Re: Problem with mod_jk installation
Date Wed, 24 Sep 2008 07:53:15 GMT
Ken Bowen wrote:
> Hi all,
> 
> I'm trying to setup a new virtual machine running CentOS 5 Linux over 
> VMWare.
> Apache Httpd 2.2.3 was already installed and running.
> I've installed Java JDK 1.5.0_16 and Tomcat 5.5.27, which is running fine.
> I downloaded mod_jk-1.2.26-httpd-2.2.6.so and placed it with all the 
> other httpd modules.
> When I try to restart apache httpd, I get the following error message:
> 
> Cannot load /etc/httpd/modules/mod_jk-1.2.26-httpd-2.2.6 into server:
> /etc/httpd/modules/mod_jk-1.2.26-httpd-2.2.6: undefined symbol: 
> ap_get_server_description [FAILED]
> 
> When that happened, since the installed Httpd version was 2.2.3, I 
> attempted to use the next earliest
> version of mod_jk,   the version mod_jk-1.2.26-httpd-2.0.61.  But when 
> Httpd tries to load that, it
> says that it is garbled.
> 
> What am I missing here??

When building mod_jk it detects the latest httpd features and uses them. 
So using our build against 2.2.6 and running with an older 2.2.3 got you 
in trouble.

Since this happens to more users, wwe now added a build flag for the 
future 1.2.27 to make the build backwards comtaible to all 2.2.x. Future 
builds will thus no longer suffer from this problem, but our 1.2.26 
downloads do. So either update your httpd to 2.2.6+ or rebuild mod_jk on 
your target system (which is pretty easy).

Regards,

Rainer

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message